# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Retrieve detailed dispute information To obtain additional information to assist you in your dispute management process, you can send a `GET` request to the `/disputes/{disputeId}` endpoint to retrieve detailed information on a given dispute, such as: - Transaction specifics (amount, date, time, etc.) - Status of the dispute in the dispute lifecycle - Resolution recommendation for the dispute ## Important request fields **Important required request fields** | Request field name | Description | Required | Location | | --- | --- | --- | --- | | disputeId | Unique identifier of a dispute provided by J.P. Morgan. | Y | Path parameter | | merchant-id | Unique processing entity identifier | Y | Header | | request-id | Unique request identifier provided by the requestor in the request header. | Y | Header | ## Important response fields **Important disputeDetails response fields** | Response field name | Description | | --- | --- | | isReversed | Indicates whether the dispute is reversed. | | disputeReasonDetailed | Textual detailed description of the chargeback reason for the disputed case. Chargeback is the monetary value of the transaction amount that is reclaimed from you. Chargebacks happen for a variety of reasons and some common reasons are customer dispute, fraud, processing error, and authorization issues. | | messageToMerchant | Provides textual information of the instruction from the dispute analyst to assist you to resolve the dispute. This is a free form field. | | disputeType | Category of an inquiry or disagreement related to a payment transaction on a consumer payment account. Allowed values: - FIRST_CHARGEBACK - This is the initial stage where the consumer disputes a transaction. The consumer contacts their bank or credit card issuer to report an issue, such as fraud, a billing error, or a product/service problem. - RETRIEVAL_REQUEST - A retrieval request, also known as a "soft chargeback" or "request for information," is a preliminary step in the dispute process where the consumer's bank requests additional information about a transaction from you. This request is typically initiated when a consumer questions a transaction on their statement but has not yet formally disputed the charge. | | disputeStatus | The label for the current stage of a case in the dispute resolution process. Allowed values: - NEW - Dispute case received. - NEEDS_RESPONSE - Dispute pending documents from you. - NEED_ADDITIONAL_INFORMATION - More information requested by us. - ACCEPTED - You accepted the liability. - CHALLENGED_JPMC - Dispute challenged on your behalf by us. - UNDER_ISSUER_REVIEW - Dispute has been returned to the issuer for review. - CHALLENGED_MERCHANT - Dispute challenged by you. - CHALLENGE_DENIED - Case cannot be challenged due to no representation rights per network rules. - CLOSED - Dispute cycle complete. - EXPIRED - Dispute has expired as due date has passed. | | outcome | The outcome of a dispute. For chargebacks, this indicates the financial outcome for you after the dispute is solved. For retrieval requests, this indicates whether the request has been fulfilled or not. Allowed values: - PENDING - Final decision/result pending. - LOST - You lost the dispute and a debit was done on your account for the total dispute amount. - WON - You won the dispute and your account has been credited back for the total dispute amount. - PARTIALLY_WON - You won a partial amount of the disputed funds, and their account has been credited with this portion. - FULFILLED - You have fulfilled the retrieval request. - NOT_FULFILLED - You have not fulfilled the retrieval request. | | disputeCategoryCode | The category of the dispute based on the reason code. - AUTHORIZATION - Dispute occurs when transactions are processed without proper authorization, often due to missing authorization codes or exceeding authorized amounts. - CONSUMER_DISPUTE – Dispute raised when consumer challenges a transaction due to dissatisfaction with goods/services or unrecognized charges. - FRAUD - Involves unauthorized transactions, typically due to stolen card information or identity theft. - PROCESSING_ERROR - Result from mistakes in transaction processing, such as incorrect amounts or duplicate charges. | | issuerDocumentCode | If this is set to 1, expect an issuer document arrival in next few days depending on the payment brand. You can check the issuer document availability using our documents API endpoint. Allowed values: - 0 - No chargeback documentation provided by the issuer. - 1 - Supporting document will be provided by the issuer. - 2 - No documents are required by issuer. - 3 - Documents are required by issuer. - 4 - Non receipt of required documents by issuer. | | potentialRemedies | Provides textual information about the recommended actions and supporting documentation required to address and resolve a dispute. This includes providing a detailed letter of explanation about the transaction, evidence of any corrective actions taken, and relevant documentation to substantiate the validity of the transaction. Examples of supporting evidence may include transaction receipts, proof of delivery, authorization logs, and any correspondence with the consumer. The attribute serves as a guide for you to compile necessary information to effectively challenge a dispute and demonstrate compliance with transaction terms and conditions. | | caseTimeline | Provides a chronological timeline of all events that occurred in a specific dispute case. Each event in the list has an eventName, eventDate and eventDetailText. | | transactionDataDetailed | Contains detailed information about a sale or refund transaction, including data such as: - transactionData - transactionTypeCode | | authorizationDataDetailed | Contains detailed information about transaction authorization, including data such as: - authorizationTimestamp - authorizationIdentifier - authorizationReferenceNumber - authorizationResponseCode - authorizationAmount - authorizationCurrency - cavvResponseCode - secureIndicator - terminalNumber - posEntryMode | | relatedItems | Contains information about other related disputes items, including data such as: - disputeId - disputeType - disputeValue - disputeReason - disputeInitiatedDate | **HTTP method: **`GET` **Endpoint: **`/disputes/{disputeId}` **Scenario: **Get additional details about a dispute by providing the dispute case id. Since this is a `GET` request, there is no request body. The URL for a server request looks like the following: ``` https://api.merchant.jpmorgan.com/api/v1/disputes/82895 ``` **Response:** ```json { "requestId": "e2176959-3596-40b4-bfbf-a4c1681d4c36", "disputeDetails": { "disputeType": "FIRST_CHARGEBACK", "disputeId": 82895, "acquirerReferenceNumber": "55432865189100456272466", "disputeValue": { "amount": 4, "currencyCode": "USD" }, "saleRefundCode": "S", "isCurrencyConversion": false, "disputeCategoryCode": "PROCESSING_ERROR", "disputeReason": { "reasonCode": "59", "reason": "NO-SHOW, ADDENDUM OR ATM DISPUTE" }, "disputeReasonDetailed": "No Show, Addendum or ATM Dispute", "potentialRemedies": "Provide a letter of explanation detailing the transaction and any attempts to remedy the dispute in addition to providing evidence of the following: \n• Credit was issued prior to first chargeback, including posting date and credit receipt\n• Folio/sales slip showing transaction was not a no show charge or an addendum to a previously valid transaction\n • Proof business has no record of a cancellation from the cardholder\n • Proper disclosure was given to cardholder that there would be a no-show fee if reservation was not cancelled before 6 p.m. local time on the day of the reservation period \n• If transaction involves loss, theft or damage, provide proof of card present\n•Credit was issued prior to first chargeback, including posting date and credit receipt", "disputeInitiatedDate": "2025-07-10", "responseDueDate": "2025-07-28", "disputeStatus": "EXPIRED", "statusUpdateTimestamp": "2025-07-10T16:02:31Z", "paymentMethod": { "paymentMethodCode": "MC", "paymentMethodName": "Mastercard", "maskedAccountNumber": "520470XXXXXX9500" }, "transactionDataDetailed": { "transactionData": { "merchantOrderNumber": "KkQgei5VJJg94ofLkvXTEC", "transactionTimestamp": "2025-07-08T04:00:00Z", "transactionAmount": 4, "transactionCurrency": "USD" }, "transactionTypeCode": "7" }, "authorizationDataDetailed": { "authorizationTimestamp": "2025-07-08T00:00:00Z", "authorizationIdentifier": "tst301", "authorizationResponseCode": 100, "authorizationAmount": 4, "authorizationCurrency": "USD", "secureIndicator": false, "terminalNumber": "9", "posEntryMode": "81" }, "merchantDataDetailed": { "merchantData": { "companyId": "25887313631", "merchantId": "997241028650", "companyName": "Barker Mobility Equipments", "merchantName": "LA-US Safetech Fraud" }, "merchantCountryCode": "USA" }, "relatedItems": [], "isReversed": false, "caseTimeline": [ { "eventName": "NEW", "eventDate": "2025-07-10 16:00:33", "eventDetailText": "Dispute Received" }, { "eventName": "NEW", "eventDate": "2025-07-10 16:00:33", "eventDetailText": "Dispute Received" }, { "eventName": "EXPIRED", "eventDate": "2025-07-10 16:02:31", "eventDetailText": "Dispute has expired as due date has passed" } ] }, "traceId": "5dc20f52-8b33-454a-be69-e971accb8ecb" } ```